| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_advdata_t Struct Reference
Advertising and Scan Response Data Encoder

Advertising data structure. This structure contains all options and data needed for encoding and setting the advertising data. More...

`#include <ble_advdata.h>`

## Data Fields
ble_advdata_name_type_t | name_type
uint8_t | short_name_len
bool | include_appearance
uint8_t | flags
int8_t * | p_tx_power_level
ble_advdata_uuid_list_t | uuids_more_available
ble_advdata_uuid_list_t | uuids_complete
ble_advdata_uuid_list_t | uuids_solicited
ble_advdata_conn_int_t * | p_slave_conn_int
ble_advdata_manuf_data_t * | p_manuf_specific_data
ble_advdata_service_data_t * | p_service_data_array
uint8_t | service_data_count
bool | include_ble_device_addr
ble_advdata_le_role_t | le_role
ble_advdata_tk_value_t * | p_tk_value
uint8_t * | p_sec_mgr_oob_flags

## Detailed Description

Advertising data structure. This structure contains all options and data needed for encoding and setting the advertising data.

## Field Documentation

uint8_t ble_advdata_t::flags

Advertising data Flags field.

bool ble_advdata_t::include_appearance

Determines if Appearance shall be included.

bool ble_advdata_t::include_ble_device_addr

Determines if LE Bluetooth Device Address shall be included.

ble_advdata_le_role_t ble_advdata_t::le_role

LE Role field. Included when different from BLE_ADVDATA_ROLE_NOT_PRESENT.

Warning
  This field can be used only for NFC. For BLE advertising, set it to NULL.

ble_advdata_name_type_t ble_advdata_t::name_type

Type of device name.

ble_advdata_manuf_data_t* ble_advdata_t::p_manuf_specific_data

Manufacturer specific data.

uint8_t* ble_advdata_t::p_sec_mgr_oob_flags

Security Manager Out Of Band Flags field. Included when different from NULL.

Warning
  This field can be used only for NFC. For BLE advertising, set it to NULL.

ble_advdata_service_data_t* ble_advdata_t::p_service_data_array

Array of Service data structures.

ble_advdata_conn_int_t* ble_advdata_t::p_slave_conn_int

Slave Connection Interval Range.

ble_advdata_tk_value_t* ble_advdata_t::p_tk_value

Security Manager TK value field. Included when different from NULL.

Warning
  This field can be used only for NFC. For BLE advertising, set it to NULL.

int8_t* ble_advdata_t::p_tx_power_level

TX Power Level field.

uint8_t ble_advdata_t::service_data_count

Number of Service data structures.

uint8_t ble_advdata_t::short_name_len

Length of short device name (if short type is specified).

ble_advdata_uuid_list_t ble_advdata_t::uuids_complete

List of UUIDs in the 'Complete' list.

ble_advdata_uuid_list_t ble_advdata_t::uuids_more_available

List of UUIDs in the 'More Available' list.

ble_advdata_uuid_list_t ble_advdata_t::uuids_solicited

List of solicited UUIDs.